Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class PaymentType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType
ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `AbstractPaymentTypes`

public class PaymentType extends BalanceBaseType
Bean типа прихода, использовать через справочник: getContext().getDirectory( PaymentType.class )....

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `editable, parentId, type, TYPE_ALL, TYPE_BRANCH, TYPE_EDITABLE, TYPE_LEAF, TYPE_UNEDITABLE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentType()`
  `PaymentType(int id, String title, int type, boolean editable, Integer parentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PaymentType`
  `setEditable(boolean editable)`
  `PaymentType`
  `setId(int id)`
  Устанавливает id объекта
  `PaymentType`
  `setParentId(Integer parentId)`
  Ссылка на родительский узел в иерархии типов.
  `PaymentType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `PaymentType`
  `setType(int type)`
  Установка типа элемента в дереве.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `getEditable, getParentId, getType`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PaymentType

    public PaymentType()

  - ### PaymentType

    public PaymentType(int id, String title, int type, boolean editable, Integer parentId)

- ## Method Details

  - ### setEditable

    public PaymentType setEditable(boolean editable)
    Overrides:
      `setEditable` in class `BalanceBaseType`

  - ### setId

    public PaymentType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setParentId

    public PaymentType setParentId(Integer parentId)
    Description copied from class: `BalanceBaseType`
    Ссылка на родительский узел в иерархии типов. Если тип объекта находится на самом верхнем уровне, то передавать 0! При отрицательном значении будет падать в веб-сервисе!!!
    Overrides:
      `setParentId` in class `BalanceBaseType`
    Parameters:
      `parentId` - код родительского типа

  - ### setTitle

    public PaymentType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setType

    public PaymentType setType(int type)
    Description copied from class: `BalanceBaseType`
    Установка типа элемента в дереве.
    Overrides:
      `setType` in class `BalanceBaseType`
    Parameters:
      `type` - 0 - элемент группы( `BalanceBaseType.TYPE_LEAF` ), 1 - группа( `BalanceBaseType.TYPE_BRANCH` ).